Package org.eclipse.m2m.atl.profiler.core.exception

# Class InterceptedLeavingStackFrameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.m2m.atl.profiler.core.exception.InterceptedLeavingStackFrameException

All Implemented Interfaces:
  `Serializable`

public class InterceptedLeavingStackFrameException extends Exception
An exception thrown when incorrectly leaving an stack frame.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InterceptedLeavingStackFrameException(String msg)`
Creates an exception with the given message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InterceptedLeavingStackFrameException

public InterceptedLeavingStackFrameException(String msg)
Creates an exception with the given message.

Parameters:
  `msg` - the message